Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 415972 - provide solid state drives to all firefox users
: provide solid state drives to all firefox users
: perf
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: P1 blocker with 9 votes (vote)
: Firefox 9
Assigned To: Nobody; OK to take it and work on it
Depends on:
  Show dependency treegraph
Reported: 2008-02-06 12:32 PST by Dietrich Ayala (:dietrich)
Modified: 2012-07-08 09:51 PDT (History)
29 users (show)
mbeltzner: wanted‑firefox3+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Dietrich Ayala (:dietrich) 2008-02-06 12:32:55 PST
Per the Ars review of the MacBook Air with SSD (see bug URL), slowdowns using "a high I/O browser like Firefox" were reduced by 90%.

This should be investigated as a potential performance improvement.

Given an estimated 50 million daily users, and between $1000 and $1300 for the drives, could be around $65,000,000,000 if we step up and cover shipping costs.
Comment 1 Reed Loden [:reed] (use needinfo?) 2008-02-06 12:38:21 PST
This is most definitely a blocker for Firefox 3!
Comment 2 Mike Beltzner [:beltzner, not reading bugmail] 2008-02-06 12:40:27 PST
Not sure why this should be OSX only. Marking wanted.

I'm all for this, as the record from IRC last night will show, when mconnor was talking with biesi and sayrer about increasing our disk cache size:

01:32 <@mconnor> biesi: I realized I have 60 GB free on this machine
01:32 <@mconnor> a 6 GB cache is faily
01:33 <@biesi> yeah, I would imagine that having dozens of GB free is common
01:33 <@mconnor> I just want to go aggresive without eating small diskspace allowances
01:33 <@mconnor> hmm
01:33 <@sayrer> big cache can be bad
01:34 <@sayrer> OS indexers will go crazy on it
01:34 <@beltzner> can we ship with a bunch of SSD?
Comment 3 Robert Sayre 2008-02-06 20:02:25 PST
This bug unfairly privileges makers of SSD drives. We should also consider the following:

- Software developers who have minimum processor (e.g., G4+), processor speed,
graphics card (reasonably well correlated with model), screen size (correlated
for everything but Mac Pros) and to some extent memory (roughly correlated) for
their software--common in both professional software and games
- Software developers who want to know the above for future planning
- Anyone selling anything with USB2, Firewire 400, or Firewire 800 connections,
only some of which are available on any given model.
- Anyone selling RAM (users currently have to go through a series of menus
that's much more complicated that picking the correct one of two links on a
software download page)
- Anyone selling anything that has different variants for desktop and laptop
use (e.g., some external drives are self-powered, others need a power brick,
and the difference is often very important to laptop users)
- Anyone selling an audio input device, as the audio-in port varies from
machine to machine
- Anyone selling anything targeting laptops (or specific laptops): bags,
stands, docking solutions
Comment 4 Gervase Markham [:gerv] 2008-06-18 01:08:05 PDT
Clearly, the current worldwide production of SSDs will be barely sufficient to resolve this issue. We therefore need to do an Apple (a la microdrives and the iPod) and get exclusive contract on all manufactured SSDs for the next 12 months, which we can then stockpile in a sekrit bunker somewhere before distributing by stealth submarine to strategic worldwide locations in advance of the next release.

Comment 5 David [:auscompgeek] 2011-05-25 05:30:21 PDT
Will this be fixed in time for Firefox 9?
Comment 6 Peter Lairo 2011-07-03 06:11:48 PDT
The fix has just landed in the nighlty trunk builds. I got my SSD drive from Mozilla Corporation yesterday. Thanks Firefox! :-)
Comment 7 James Nylen 2012-03-19 07:35:41 PDT
Link to commit, please.

Confirming this bug as a blocker.  This guy on the Internet above me says he got one, and I believe him.  I'm not sure I can continue using Firefox until this inequity is resolved.
Comment 8 James Nylen 2012-03-19 07:37:19 PDT
Also, Firefox 11 is out or coming out, and still no resolution or updates... I'll just take all of my immensely valuable feedback and opinions elsewhere, how do you like that?!
Comment 9 Jo Hermans 2012-03-19 07:42:26 PDT
I think they're still waiting on the delivery of the stealth submarine (comment 4) to help with the delivery.
Comment 10 Jeff Walden [:Waldo] (remove +bmo to email) 2012-03-19 08:15:45 PDT
How do you know it hasn't been delivered?
Comment 11 Justin Dolske [:Dolske] 2012-04-03 22:58:26 PDT
Solid-state drives are widely deployed, so marking fixed. If your drive is currently operating in a liquid, gas, or plasma state please file a new bug.
Comment 12 Jeff Walden [:Waldo] (remove +bmo to email) 2012-04-04 13:42:02 PDT
Hey, you can't verify a bug you've resolved yourself like that!
Comment 13 Jeff Walden [:Waldo] (remove +bmo to email) 2012-04-04 13:42:18 PDT

Note You need to log in before you can comment on or make changes to this bug.